#pragma once
#include "Window.h"
#include "Graphics.h"
#include "Logger.h"
#include "Mouse.h"
#include <memory>

class CoreHandler
{
public:
	CoreHandler(Window& window, Logger& logger);
	void InitCoreHandler(Window& window, Logger& logger);
	void CloseCoreHandler();
	void processEvents(Window& window, Graphics& gfx, HWND& hWnd, Logger& logger);
	void CoreProcess(Window& window, Graphics& gfx, HWND& hWnd, Logger& logger);
	void SetCamera(Window& window, Logger& logger);
private:
	double seed;
	float cameraX = 80.0f;
	float cameraY = 60.0f;
	float cameraZ = 5.0f;
	float cameraDeltaX = 0;
	float cameraDeltaY = 0;
	float cameraDeltaZ = 0;
};